# This file created by conda-build 3.18.8
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/numba-0.45.0-python_2.7-on-linux_64, last modified Fri Jul 19 19:30:09 2019
# ------------------------------------------------

package:
    name: numba
    version: 0.45.0
source:
    git_rev: 0.45.0
    git_url: https://github.com/numba/numba
build:
    entry_points:
        - numba = numba.numba_entry:main
        - pycc = numba.pycc:main
    number: '0'
    script_env:
        - PY_VCRUNTIME_REDIST
    string: py27h962f231_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_7
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_7
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_7
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
    host:
        - _libgcc_mutex 0.1 main
        - blas 1.0 mkl
        - ca-certificates 2019.5.15 0
        - certifi 2019.6.16 py27_0
        - enum34 1.1.6 py27_1
        - funcsigs 1.0.2 py27_0
        - intel-openmp 2019.4 243
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - llvmlite 0.29.0 py27hd408876_0
        - mkl 2019.4 243
        - ncurses 6.1 he6710b0_1
        - numpy 1.11.3 py27h7e9f1db_12
        - numpy-base 1.11.3 py27hde5b4d6_12
        - openssl 1.1.1c h7b6447c_1
        - python 2.7.16 h9bab390_0
        - readline 7.0 h7b6447c_5
        - setuptools 41.0.1 py27_0
        - singledispatch 3.4.0.3 py27_0
        - six 1.12.0 py27_0
        - sqlite 3.29.0 h7b6447c_0
        - tbb 2019.4 hfd86e86_0
        - tbb-devel 2019.4 hfd86e86_0
        - tk 8.6.8 hbc83047_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - funcsigs
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - llvmlite >=0.29.0,<0.30.0a0
        - numpy >=1.11.3,<2.0a0
        - python >=2.7,<2.8.0a0
        - singledispatch
        - tbb >=2019.4
    run_constrained:
        - tbb >=2018.0.5
test:
    files:
        - mandel.py
    imports:
        - numba
        - numba.annotations
        - numba.cuda
        - numba.cuda.cudadrv
        - numba.cuda.kernels
        - numba.cuda.simulator
        - numba.cuda.simulator.cudadrv
        - numba.cuda.tests
        - numba.cuda.tests.cudadrv
        - numba.cuda.tests.cudadrv.data
        - numba.cuda.tests.cudapy
        - numba.cuda.tests.cudasim
        - numba.cuda.tests.nocuda
        - numba.datamodel
        - numba.jitclass
        - numba.npyufunc
        - numba.pycc
        - numba.rewrites
        - numba.runtime
        - numba.scripts
        - numba.servicelib
        - numba.targets
        - numba.testing
        - numba.tests
        - numba.tests.npyufunc
        - numba.typeconv
        - numba.types
        - numba.typing
        - numba.unsafe
    requires:
        - cffi
        - faulthandler
        - gcc_linux-64 7.3.0.*
        - gxx_linux-64 7.3.0.*
        - ipython
        - jinja2
        - scipy
        - setuptools
        - tbb >=2018.0.5
about:
    description: 'Numba is an Open Source NumPy-aware optimizing compiler for Python

        sponsored by Anaconda, Inc. It uses the remarkable LLVM compiler

        infrastructure to compile Python syntax to machine code."

        '
    dev_url: https://github.com/numba/numba
    doc_url: http://numba.pydata.org/
    home: http://numba.github.com
    license: BSD 2-clause
    license_family: BSD
    license_file: LICENSE
    summary: NumPy aware dynamic Python compiler using LLVM
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - souravsingh
